#version 330 core
#extension GL_ARB_separate_shader_objects : enable

layout (location = 0) in vec3 aPos;
layout (location = 1) in vec2 aTexCoord;

uniform mat4 u_Proj;
uniform mat4 u_View;
uniform mat4 u_Modl;

out vec2 TexCoord;

void main() {
  gl_Position = u_Proj * u_View * u_Modl * gl_Vertex;
  TexCoord = vec2(aTexCoord.x, aTexCoord.y);
}